Subject: bug#69478: 30.0.50; Emacs dies after scrolling in eww

From: Po Lu <[email-masked]>
Date: Fri, 01 Mar 2024 09:52:58 +0800

Michael Heerdegen <[email-masked]> writes:

> For the record: I can display this page normally using emacs -Q and
> Emacs does not crash.
>
> Michael.

The problem almost certainly lies in one of the image library bindings
in image.c creating images for TrueColor-24 visuals irrespective of the
visual's actual depth.  It can't be reproduced unless Emacs is built
with that image library and run under a non-colormapped visual with a
different depth.